using System;

namespace VracaraMiljanja
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] ulaz = Console.ReadLine().Split();
         
            int brojUcenika = int.Parse(ulaz[0]);
            int brojParova = int.Parse(ulaz[1]);
            int[] druzeljubivost = new int[brojUcenika];
            int[,] parovi = new int[brojParova, 2];
            int[] poznanstvo = new int [brojUcenika];
            int[] neprijatelj = new int[brojUcenika];
            int[] prijatelj = new int[brojUcenika];
            
            int zbir = 0;
            for (int i = 0; i < brojUcenika; i++)
            {
                druzeljubivost[i] = int.Parse(Console.ReadLine());
            }
            for (int i = 0; i < brojParova; i++)
            {      
                string[] par = Console.ReadLine().Split();
                parovi[i, 0] = int.Parse(par[0]);
                parovi[i, 1] = int.Parse(par[1]);
            }           
            Console.WriteLine();
            for (int i = 0; i < brojUcenika; i++)
            {
                for (int y = 0; y < brojParova; y++)
                {
                    
                        int brojacUcenika = i + 1;
                        if ((brojacUcenika == parovi[y, 0] || brojacUcenika == parovi[y, 1])&&(((brojacUcenika == parovi[y, 0] || brojacUcenika == parovi[y, 1]) && druzeljubivost[i] < 0) || ((druzeljubivost[parovi[y, 0] - 1] < 0) || (druzeljubivost[parovi[y, 1] - 1] < 0))))
                        {                           
                            neprijatelj[i]++;                            
                        }
                        else if ((brojacUcenika == parovi[y, 0] || brojacUcenika == parovi[y, 1]) && druzeljubivost[i] >= 0 && ((druzeljubivost[parovi[y, 0] - 1] >= 0) || (druzeljubivost[parovi[y, 1] - 1] >= 0)))
                        {
                            prijatelj[i]++;
                        }                  
                }
            }
            






            for (int i = 0; i < brojUcenika; i++)
            {                             
                    zbir += (prijatelj[i]- neprijatelj[i]) * druzeljubivost[i];                               
            }
           
            Console.WriteLine(zbir);
            
            
        }
    }
}